/************************************************/
/*						*/
/*      Copyright:				*/
/*	 Jean-Marc Pigeon <jmp@safe.ca>	 2009	*/
/*						*/
/************************************************/
/* This program is free software; you can 	*/
/* redistribute it and/or modify it under the 	*/
/* terms of the GNU General Public License as	*/
/* published by the Free Software Foundation	*/
/* version 2 of the License			*/
/*						*/
/* This program is distributed in the hope that */
/* it will be useful, but WITHOUT ANY WARRANTY; */
/* without even the implied warranty of		*/
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR	*/
/* PURPOSE.  See the GNU General Public License	*/
/* for more details.				*/
/*						*/
/* You should have received a copy of the GNU	*/
/* General Public License along with this 	*/
/* program; if not, write to the Free Software	*/
/* Foundation, Inc., 51 Franklin Street,	*/
/* Fifth Floor, Boston, MA  02110-1301, USA.	*/
/************************************************/
/*						*/
/*	Define all routine to handle container	*/
/*	struture and access.			*/
/*						*/
/************************************************/
#ifndef	UNICNT
#define UNICNT
extern int cnt_iscontgood(char *contname);
extern int cnt_pivot(int foreground,char *contname);
extern int cnt_setclonepid(char *contname,pid_t cpid);
extern pid_t cnt_getclonepid(char *contname);
extern int cnt_rmclonepid(char *contname);
extern int cnt_initscript(const char *scriptname,const char *fmt,...);
extern int cnt_injectcmd(const char *scriptname,char *contname,int contpid,char *params);
extern char *cnt_getarch(char *contname);
extern char *cnt_getdist(char *contname);
extern void cnt_setstdio(int foreground,char *contname,char *outname);
extern int cnt_mstconsole(char *contname,pid_t cntpid);
#endif
